Bug 737422 - Changing generated XML for non-EAP products.
Summary: Changing generated XML for non-EAP products.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: Web-UI
Version: 1.x
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: ---
Assignee: Matthew Casperson
QA Contact: Misha H. Ali
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-12 00:05 UTC by Misha H. Ali
Modified: 2014-08-04 22:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-13 00:59:37 UTC


Attachments (Terms of Use)

Description Misha H. Ali 2011-09-12 00:05:47 UTC
Description of problem:

Currently, when topics are selected and the "Docbook" button is clicked, the generated XML contains default book information values for EAP6. Is there a way to revert these values to default if, say, the EDG 6 release tag is selected, or in some other manner?

If there is an easy and graceful way to accomplish this, it would be very useful, if not, I'll adopt a manual workaround.

Comment 1 Joshua Wulf 2011-09-12 00:38:56 UTC
web-Topic_Index is the component for Skynet.

Comment 2 Matthew Casperson 2011-09-15 01:01:27 UTC
Do you mean the values in publican.cfg?

Comment 3 Misha H. Ali 2011-09-15 01:07:14 UTC
Matt: yes. I envision a functionality which allows me to generate the required XML files with non-EAP values, such as book name, product name, etc.

Comment 4 Matthew Casperson 2011-10-21 04:16:09 UTC
Fixed in 20111021-1414

The cvs_pkg option can now be set under the "Build Docbook" tab. The Docbook building options are also now saved in filters, so you can set this value once and use a filter to reload it.


Note You need to log in before you can comment on or make changes to this bug.